Eclipse GEF 3.3

## org.eclipse.gef.ui.actions
Class DeleteRetargetAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.actions.PartEventAction
                      org.eclipse.ui.actions.RetargetAction
                          org.eclipse.gef.ui.actions.DeleteRetargetAction

All Implemented Interfaces:
  ActionFactory.IWorkbenchAction, IAction, IPartListener

public class DeleteRetargetAction
extends RetargetAction

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`DeleteRetargetAction()` Constructs a new DeleteRetargetAction with the default ID, label and image.

Methods inherited from class org.eclipse.ui.actions.RetargetAction
`dispose, enableAccelerator, getAccelerator, getActionHandler, isHandled, partActivated, partClosed, partDeactivated, propagateChange, run, runWithEvent, setActionHandler, setChecked, setHelpListener, toString`

Methods inherited from class org.eclipse.ui.actions.PartEventAction
`getActivePart, partBroughtToTop, partOpened`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setDescription, setDisabledImageDescriptor, setEnabled, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setDescription, setDisabledImageDescriptor, setEnabled, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### DeleteRetargetAction

    public DeleteRetargetAction()

  Constructs a new DeleteRetargetAction with the default ID, label and image.

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.